Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Unable to install Avahi again
11-22-2012, 11:16 PM
Post: #1
Unable to install Avahi again
I tried to setup my Raspbmc to share some folders to my mac with afp through netatalk. I did not get it to work.
In the progress in trying to get it to work I tried to remove avahi-daemon to see if that was the problem.
And now I have problems with installing it again through apt-get.
I get the following errors:
Code:
pi@raspbmc:~$ sudo apt-get install avahi-utils
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following extra packages will be installed:
  avahi-daemon libnss-mdns
Suggested packages:
  avahi-autoipd
The following NEW packages will be installed:
  avahi-daemon avahi-utils libnss-mdns
0 upgraded, 3 newly installed, 0 to remove and 33 not upgraded.
Need to get 55.9 kB/174 kB of archives.
After this operation, 584 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.raspbian.org/raspbian/ wheezy/main avahi-utils armhf 0.6.31-1 [55.9 kB]
Fetched 55.9 kB in 0s (97.8 kB/s)
Selecting previously unselected package avahi-daemon.
(Reading database ... 30301 files and directories currently installed.)
Unpacking avahi-daemon (from .../avahi-daemon_0.6.31-1_armhf.deb) ...
Selecting previously unselected package avahi-utils.
Unpacking avahi-utils (from .../avahi-utils_0.6.31-1_armhf.deb) ...
Selecting previously unselected package libnss-mdns.
Unpacking libnss-mdns (from .../libnss-mdns_0.10-3.2_armhf.deb) ...
Setting up avahi-daemon (0.6.31-1) ...
insserv: Service dbus has to be enabled to start service avahi
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing avahi-daemon (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of avahi-utils:
avahi-utils depends on avahi-daemon; however:
  Package avahi-daemon is not configured yet.

dpkg: error processing avahi-utils (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libnss-mdns:
libnss-mdns depends on avahi-daemon (>= 0.6.16-1); however:
  Package avahi-daemon is not configured yet.

dpkg: error processing libnss-mdns (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
avahi-daemon
avahi-utils
libnss-mdns
E: Sub-process /usr/bin/dpkg returned an error code (1)
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)

Sponsored Advertisement